WPMU Dev Dashboard - Errors and warnings with PHP 7

Hi,
I used a PHP compatibility check to check the compatibility of my plugins with PHP 7.
The result is the following:

ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.

WARNING | Function name "__render_list" is discouraged; PHP has reserved all method names with a double underscore prefix for future use

WARNING | Function name "__error_reporting" is discouraged; PHP has reserved all method names with a double underscore prefix for future use

WARNING | Function name "__value_format" is discouraged; PHP has reserved all method names with a double underscore prefix for future use

WARNING | Function name "__const_format" is discouraged; PHP has reserved all method names with a double underscore prefix for future use

Can you pls fix this as soon as possible?

Thx a lot?

    Adam Czajczyk

    Hello Alex,

    I hope you're well today and thank you for your question!

    The PHP 7 compatibility check plugin is an extremely useful tool but its outcome might be a bit confusing. We need to maintain compatibility with older WP and older PHP versions as much as possible and that may lead to warnings of that kind. That's not a bug/error/incompatibility and over time we change the code to be at the same time as much backward compatible as (withing the reason) possible but also as modern as possible.

    That doesn't mean that these functions are always used. For example, the mysql_ functions are used only if mysqli_ is not available. But it's in the code and will be reported.

    Kind regards,
    Adam